//+------------------------------------------------------------------+
//|                                                      DIGIADX.mq4 |
//|                      Copyright  2008, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

/*********************************************************************
* Author: Usen Iwinosa Osazeme
* Nick: FX Guru
*Cellfone No:07039377446
* Date: April 08, 2008
* Custom Indicator: Digiadx.mq4
* Version: 1.0.1
* Description: Multi TimeFrame Digital ADX Indicator
*
*
* Version 1.0
* - Release Digiadx ;)
**********************************************************************/

#property indicator_separate_window

extern int ADX_Period                 =  14;//----ADX period
extern color  Strong_Uptrend_Color      = Lime;//--------------color for strong uptrend
extern color Strong_Dntrend_Color       = Red;//---------------color for strong downtrend
extern color Weak_Uptrend_Color         = LimeGreen;//----------color for weak uptrend
extern color Weak_Dntrend_Color         = Tomato;//-------------color for weak downtrend
extern bool Show_ADX_Value = true;//--------ADX value
extern bool Show_Legend = true;//-------Show xplanation 4 whatever


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
IndicatorShortName("DIGIADX");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
    ObjectsDeleteAll(0,OBJ_LABEL);
   ObjectDelete("ObjLabelA"); ObjectDelete("ObjLabelB"); ObjectDelete("ObjLabelC"); ObjectDelete("ObjLabelD");
   ObjectDelete("ObjLabelE"); ObjectDelete("ObjLabelF"); ObjectDelete("ObjLabelG"); ObjectDelete("ObjLabelH");
   ObjectDelete("ObjLabelI"); ObjectDelete("ObjLabelJ"); ObjectDelete("ObjLabelK"); ObjectDelete("ObjLabelL");
   ObjectDelete("ObjLabelIa"); ObjectDelete("ObjLabelJa"); ObjectDelete("ObjLabelKa"); ObjectDelete("ObjLabelLa");
   ObjectDelete("ObjLabelM"); ObjectDelete("ObjLabelN"); ObjectDelete("ObjLabelO"); ObjectDelete("ObjLabelP");
   ObjectDelete("ObjLabelMa"); ObjectDelete("ObjLabelNa"); ObjectDelete("ObjLabelOa"); ObjectDelete("ObjLabelPa");   
   ObjectDelete("SU"); ObjectDelete("SV"); ObjectDelete("SW"); ObjectDelete("SX"); ObjectDelete("SY"); ObjectDelete("SZ"); 
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
    //m1 data
    double adx_plus_m1  = iADX(NULL,PERIOD_M1,ADX_Period,PRICE_CLOSE,MODE_PLUSDI,0);
    double adx_minus_m1 = iADX(NULL,PERIOD_M1,ADX_Period,PRICE_CLOSE,MODE_MINUSDI,0);
    double adx_main_m1 = iADX(NULL,PERIOD_M1,ADX_Period,PRICE_CLOSE,MODE_MAIN,0);
    
    
    //m5 data
    double adx_plus_m5  = iADX(NULL,PERIOD_M5,ADX_Period,PRICE_CLOSE,MODE_PLUSDI,0);
    double adx_minus_m5 = iADX(NULL,PERIOD_M5,ADX_Period,PRICE_CLOSE,MODE_MINUSDI,0);
    double adx_main_m5 = iADX(NULL,PERIOD_M5,ADX_Period,PRICE_CLOSE,MODE_MAIN,0);
    
    //m15 data
    double adx_plus_m15 = iADX(NULL,PERIOD_M15,ADX_Period,PRICE_CLOSE,MODE_PLUSDI,0);
    double adx_minus_m15= iADX(NULL,PERIOD_M15,ADX_Period,PRICE_CLOSE,MODE_MINUSDI,0);
    double adx_main_m15 = iADX(NULL,PERIOD_M15,ADX_Period,PRICE_CLOSE,MODE_MAIN,0);
    
    //m30 data
    double adx_plus_m30 = iADX(NULL,PERIOD_M30,ADX_Period,PRICE_CLOSE,MODE_PLUSDI,0);
    double adx_minus_m30= iADX(NULL,PERIOD_M30,ADX_Period,PRICE_CLOSE,MODE_MINUSDI,0);
    double adx_main_m30 = iADX(NULL,PERIOD_M30,ADX_Period,PRICE_CLOSE,MODE_MAIN,0);
    
    //h1 data
    double adx_plus_h1 = iADX(NULL,PERIOD_H1,ADX_Period,PRICE_CLOSE,MODE_PLUSDI,0);
    double adx_minus_h1= iADX(NULL,PERIOD_H1,ADX_Period,PRICE_CLOSE,MODE_MINUSDI,0);
    double adx_main_h1 = iADX(NULL,PERIOD_H1,ADX_Period,PRICE_CLOSE,MODE_MAIN,0);
    
    //h4 data
    double adx_plus_h4 = iADX(NULL,PERIOD_H4,ADX_Period,PRICE_CLOSE,MODE_PLUSDI,0);
    double adx_minus_h4= iADX(NULL,PERIOD_H4,ADX_Period,PRICE_CLOSE,MODE_MINUSDI,0);
    double adx_main_h4 = iADX(NULL,PERIOD_H4,ADX_Period,PRICE_CLOSE,MODE_MAIN,0);
    
   //define color
    color adx_color_m1, adx_color_m5, adx_color_m15, adx_color_m30, adx_color_h1, adx_color_h4;
    
   //define string    
    string adx_level_m1, adx_level_m5, adx_level_m15, adx_level_m30, adx_level_h1, adx_level_h4,
           adx_arrow_m1, adx_arrow_m5, adx_arrow_m15, adx_arrow_m30, adx_arrow_h1, adx_arrow_h4;
           
           
    //-----m1 data
    
    
    //m1 strong uptrend
    if (( adx_plus_m1> adx_minus_m1) && (adx_main_m1 >= 25)) { adx_color_m1 =Strong_Uptrend_Color ; }
    
    //m1 strong downtrend
    if (( adx_plus_m1< adx_minus_m1) && (adx_main_m1 >= 25))  {adx_color_m1 = Strong_Dntrend_Color; }
    
    //m1 weak uptrend
    if (( adx_plus_m1> adx_minus_m1) && (adx_main_m1 <= 24))  {adx_color_m1 =Weak_Uptrend_Color; }
    
    //m1 weak downtrend
    if (( adx_plus_m1< adx_minus_m1) && (adx_main_m1 <= 24))  {adx_color_m1 =Weak_Dntrend_Color; }
    
   
    //----m5 data   
   
    //m5 strong uptrend
    if (( adx_plus_m5> adx_minus_m5) && (adx_main_m5 >= 25)) { adx_color_m5 = Strong_Uptrend_Color; }
    
    //m5 strong downtrend
    if (( adx_plus_m5< adx_minus_m5) && (adx_main_m5 >= 25))  {adx_color_m5 = Strong_Dntrend_Color; }
    
    //m5 weak uptrend
    if (( adx_plus_m5> adx_minus_m5) && (adx_main_m5 <= 24))  {adx_color_m5 = Weak_Uptrend_Color; }
    
    //m5 weak downtrend
    if (( adx_plus_m5< adx_minus_m5) && (adx_main_m5 <= 24))  {adx_color_m5 =Weak_Dntrend_Color; }
    
    //-----m15 data
    
    //m15 strong uptrend
    if (( adx_plus_m15> adx_minus_m15) && (adx_main_m15 >= 25)) { adx_color_m15 = Strong_Uptrend_Color; }
    
    //m15 strong downtrend
    if (( adx_plus_m15< adx_minus_m15) && (adx_main_m15 >= 25))  {adx_color_m15 = Strong_Dntrend_Color; }
    
    //m15 weak uptrend
    if (( adx_plus_m15> adx_minus_m15) && (adx_main_m15 <= 24))  {adx_color_m15 = Weak_Uptrend_Color; }
    
    //m15 weak downtrend
    if (( adx_plus_m15< adx_minus_m15) && (adx_main_m15 <= 24))  {adx_color_m15 =Weak_Dntrend_Color; }
    
    //------m30 data
    
        //m30 strong uptrend
    if (( adx_plus_m30> adx_minus_m30) && (adx_main_m30 >= 25)) { adx_color_m30 = Strong_Uptrend_Color; }
    
    //m30 strong downtrend
    if (( adx_plus_m30< adx_minus_m30) && (adx_main_m30 >= 25))  {adx_color_m30 = Strong_Dntrend_Color; }
    
    //m30 weak uptrend
    if (( adx_plus_m30> adx_minus_m30) && (adx_main_m30 <= 24))  {adx_color_m30 = Weak_Uptrend_Color; }
    
    //m30 weak downtrend
    if (( adx_plus_m30< adx_minus_m30) && (adx_main_m30 <= 24))  {adx_color_m30 =Weak_Dntrend_Color; }
    
    //------h1 data
    
        //h1 strong uptrend
    if (( adx_plus_h1> adx_minus_h1) && (adx_main_h1 >= 25)) { adx_color_h1 = Strong_Uptrend_Color; }
    
    //h1 strong downtrend
    if (( adx_plus_h1< adx_minus_h1) && (adx_main_h1 >= 25))  {adx_color_h1 = Strong_Dntrend_Color; }
    
    //h1 weak uptrend
    if (( adx_plus_h1> adx_minus_h1) && (adx_main_h1 <= 24))  {adx_color_h1 = Weak_Uptrend_Color; }
    
    //h1 weak downtrend
    if (( adx_plus_h1< adx_minus_h1) && (adx_main_h1 <= 24))  {adx_color_h1 =Weak_Dntrend_Color; }
    
     //------h4 data
    
    //h4 strong uptrend
    if (( adx_plus_h4> adx_minus_h4) && (adx_main_h4 >= 25)) { adx_color_h4 = Strong_Uptrend_Color; }
    
    //h4 strong downtrend
    if (( adx_plus_h4< adx_minus_h4) && (adx_main_h4 >= 25))  {adx_color_h4 = Strong_Dntrend_Color; }
    
    //h4 weak uptrend
    if (( adx_plus_h4> adx_minus_h4) && (adx_main_h4 <= 24))  {adx_color_h4 = Weak_Uptrend_Color; }
    
    //h4 weak downtrend
    if (( adx_plus_h4< adx_minus_h4) && (adx_main_h4 <= 24))  {adx_color_h4 =Weak_Dntrend_Color; }
    
    
     //Signal Labels           
    ObjectCreate("ObjLabelA", OBJ_LABEL, WindowFind("DIGIADX"), 0, 0); //LABEL
        ObjectSetText("ObjLabelA","SIGNAL",8, "Arial Bold", Silver);
        ObjectSet("ObjLabelA", OBJPROP_CORNER, 0);
        ObjectSet("ObjLabelA", OBJPROP_XDISTANCE, 105);
        ObjectSet("ObjLabelA", OBJPROP_YDISTANCE, 3);

    ObjectCreate("SU", OBJ_LABEL, WindowFind("DIGIADX"), 0, 0);//M1 SIGNAL
        ObjectSetText("SU","M1",9, "Arial Bold", adx_color_m1);
        ObjectSet("SU", OBJPROP_CORNER, 0);
        ObjectSet("SU", OBJPROP_XDISTANCE, 150);
        ObjectSet("SU", OBJPROP_YDISTANCE, 3);
        
    ObjectCreate("SV", OBJ_LABEL, WindowFind("DIGIADX"), 0, 0);//M5 SIGNAL
        ObjectSetText("SV","M5",9, "Arial Bold", adx_color_m5);
        ObjectSet("SV", OBJPROP_CORNER, 0);
        ObjectSet("SV", OBJPROP_XDISTANCE, 175);
        ObjectSet("SV", OBJPROP_YDISTANCE, 3);
        
    ObjectCreate("SW", OBJ_LABEL, WindowFind("DIGIADX"), 0, 0);//M15 SIGNAL
        ObjectSetText("SW","M15",9, "Arial Bold", adx_color_m15);
        ObjectSet("SW", OBJPROP_CORNER, 0);
        ObjectSet("SW", OBJPROP_XDISTANCE, 200);
        ObjectSet("SW", OBJPROP_YDISTANCE, 3);
        
    ObjectCreate("SX", OBJ_LABEL, WindowFind("DIGIADX"), 0, 0);//M30 SIGNAL
        ObjectSetText("SX","M30",9, "Arial Bold", adx_color_m30);
        ObjectSet("SX", OBJPROP_CORNER, 0);
        ObjectSet("SX", OBJPROP_XDISTANCE, 230);
        ObjectSet("SX", OBJPROP_YDISTANCE, 3);

    ObjectCreate("SY", OBJ_LABEL, WindowFind("DIGIADX"), 0, 0);//H1 SIGNAL
        ObjectSetText("SY","H1",9, "Arial Bold", adx_color_h1);
        ObjectSet("SY", OBJPROP_CORNER, 0);
        ObjectSet("SY", OBJPROP_XDISTANCE, 260);
        ObjectSet("SY", OBJPROP_YDISTANCE, 3);             

    ObjectCreate("SZ", OBJ_LABEL, WindowFind("DIGIADX"), 0, 0);//H4 SIGNAL
        ObjectSetText("SZ","H4",9, "Arial Bold", adx_color_h4);
        ObjectSet("SZ", OBJPROP_CORNER, 0);
        ObjectSet("SZ", OBJPROP_XDISTANCE, 280);
        ObjectSet("SZ", OBJPROP_YDISTANCE, 3);             

 //Show Digital ADX Value
    if (Show_ADX_Value == true) 
    {
      //ADX value
      string adx_m1_val = adx_main_m1;
      string adx_m5_val = adx_main_m5;
      string adx_m15_val = adx_main_m15;
      string adx_m30_val = adx_main_m30;
      string adx_h1_val = adx_main_h1;
      string adx_h4_val = adx_main_h4;
    
      if (adx_plus_m1 > adx_minus_m1 && adx_main_m1 >= 25) { adx_arrow_m1 = ""; }
      if (adx_plus_m1 < adx_minus_m1 && adx_main_m1 >= 25) { adx_arrow_m1 = ""; }
      if (adx_plus_m1 > adx_minus_m1 && adx_main_m1 <= 24) { adx_arrow_m1 = ""; }
      if (adx_plus_m1 < adx_minus_m1 && adx_main_m1 <= 24) { adx_arrow_m1 = ""; }

      if (adx_plus_m5 > adx_minus_m5 && adx_main_m5 >= 25) { adx_arrow_m5 = ""; }
      if (adx_plus_m5 < adx_minus_m5 && adx_main_m5 >= 25) { adx_arrow_m5 = ""; }
      if (adx_plus_m5 > adx_minus_m5 && adx_main_m5 <= 24) { adx_arrow_m5 = ""; }
      if (adx_plus_m5 < adx_minus_m5 && adx_main_m5 <= 24) { adx_arrow_m5 = ""; }

      if (adx_plus_m15 > adx_minus_m15 && adx_main_m15 >= 25) { adx_arrow_m15 = ""; }
      if (adx_plus_m15 < adx_minus_m15 && adx_main_m15 >= 25) { adx_arrow_m15 = ""; }
      if (adx_plus_m15 > adx_minus_m15 && adx_main_m15 <= 24) { adx_arrow_m15 = ""; }
      if (adx_plus_m15 < adx_minus_m15 && adx_main_m15 <= 24) { adx_arrow_m15 = ""; }

      if (adx_plus_m30 > adx_minus_m30 && adx_main_m30 >= 25) { adx_arrow_m30 = ""; }
      if (adx_plus_m30 < adx_minus_m30 && adx_main_m30 >= 25) { adx_arrow_m30 = ""; }
      if (adx_plus_m30 > adx_minus_m30 && adx_main_m30 <= 24) { adx_arrow_m30 = ""; }
      if (adx_plus_m30 < adx_minus_m30 && adx_main_m30 <= 24) { adx_arrow_m30 = ""; }


      if (adx_plus_h1 > adx_minus_h1 && adx_main_h1 >= 25) { adx_arrow_h1 = ""; }
      if (adx_plus_h1 < adx_minus_h1 && adx_main_h1 >= 25) { adx_arrow_h1 = ""; }
      if (adx_plus_h1 > adx_minus_h1 && adx_main_h1 <= 24) { adx_arrow_h1 = ""; }
      if (adx_plus_h1 < adx_minus_h1 && adx_main_h1 <= 24) { adx_arrow_h1 = ""; }

      if (adx_plus_h4 > adx_minus_h4 && adx_main_h4 >= 25) { adx_arrow_h4 = ""; }
      if (adx_plus_h4 < adx_minus_h4 && adx_main_h4 >= 25) { adx_arrow_h4 = ""; }
      if (adx_plus_h4 > adx_minus_h4 && adx_main_h4 <= 24) { adx_arrow_h4 = ""; }
      if (adx_plus_h4 < adx_minus_h4 && adx_main_h4 <= 24) { adx_arrow_h4 = ""; }
      
      
      //ADX value
      ObjectCreate("ObjLabelO", OBJ_LABEL, WindowFind("DIGIADX"), 0, 0);
        ObjectSetText("ObjLabelO","ADX",8, "Arial Bold", Silver);
        ObjectSet("ObjLabelO", OBJPROP_CORNER, 0);
        ObjectSet("ObjLabelO", OBJPROP_XDISTANCE, 310);
        ObjectSet("ObjLabelO", OBJPROP_YDISTANCE, 3);
            
      //ADX m1 value
      ObjectCreate("ObjLabelI", OBJ_LABEL, WindowFind("DIGIADX"), 0, 0);
        ObjectSetText("ObjLabelI","M1  : "+StringSubstr(adx_m1_val,0,5)+" ",8, "Arial Bold", adx_color_m1);
        ObjectSet("ObjLabelI", OBJPROP_CORNER, 0);
        ObjectSet("ObjLabelI", OBJPROP_XDISTANCE, 380);
        ObjectSet("ObjLabelI", OBJPROP_YDISTANCE, 2);

      //arrow m1
      ObjectCreate("ObjLabelIa", OBJ_LABEL, WindowFind("DIGIADX"), 0, 0);
        ObjectSetText("ObjLabelIa",adx_arrow_m1,8, "Wingdings", adx_color_m1);
        ObjectSet("ObjLabelIa", OBJPROP_CORNER, 0);
        ObjectSet("ObjLabelIa", OBJPROP_XDISTANCE, 435);
        ObjectSet("ObjLabelIa", OBJPROP_YDISTANCE, 3);
        
      //ADX m30 value
      ObjectCreate("ObjLabelJ", OBJ_LABEL, WindowFind("DIGIADX"), 0, 0);
        ObjectSetText("ObjLabelJ","M30: "+StringSubstr(adx_m30_val,0,5),8, "Arial Bold", adx_color_m30);
        ObjectSet("ObjLabelJ", OBJPROP_CORNER, 0);
        ObjectSet("ObjLabelJ", OBJPROP_XDISTANCE, 380);
        ObjectSet("ObjLabelJ", OBJPROP_YDISTANCE, 12);

      //arrow m30
      ObjectCreate("ObjLabelJa", OBJ_LABEL, WindowFind("DIGIADX"), 0, 0);
        ObjectSetText("ObjLabelJa",adx_arrow_m30,8, "Wingdings", adx_color_m30);
        ObjectSet("ObjLabelJa", OBJPROP_CORNER, 0);
        ObjectSet("ObjLabelJa", OBJPROP_XDISTANCE, 435);
        ObjectSet("ObjLabelJa", OBJPROP_YDISTANCE, 13);
    
      //ADX m5 value            
      ObjectCreate("ObjLabelK", OBJ_LABEL, WindowFind("DIGIADX"), 0, 0);
        ObjectSetText("ObjLabelK","M5: "+StringSubstr(adx_m5_val,0,5),8, "Arial Bold", adx_color_m5);
        ObjectSet("ObjLabelK", OBJPROP_CORNER, 0);
        ObjectSet("ObjLabelK", OBJPROP_XDISTANCE, 460);
        ObjectSet("ObjLabelK", OBJPROP_YDISTANCE, 2);
        
      //arrow m5
      ObjectCreate("ObjLabelKa", OBJ_LABEL, WindowFind("DIGIADX"), 0, 0);
        ObjectSetText("ObjLabelKa",adx_arrow_m5,8, "Wingdings", adx_color_m5);
        ObjectSet("ObjLabelKa", OBJPROP_CORNER, 0);
        ObjectSet("ObjLabelKa", OBJPROP_XDISTANCE, 510);
        ObjectSet("ObjLabelKa", OBJPROP_YDISTANCE, 3);        
        
      //ADX h1 value
      ObjectCreate("ObjLabelL", OBJ_LABEL, WindowFind("DIGIADX"), 0, 0);
        ObjectSetText("ObjLabelL","H1 : "+StringSubstr(adx_h1_val,0,5),8, "Arial Bold", adx_color_h1);
        ObjectSet("ObjLabelL", OBJPROP_CORNER, 0);
        ObjectSet("ObjLabelL", OBJPROP_XDISTANCE, 460);
        ObjectSet("ObjLabelL", OBJPROP_YDISTANCE, 12);

      //arrow h1
      ObjectCreate("ObjLabelLa", OBJ_LABEL, WindowFind("DIGIADX"), 0, 0);
        ObjectSetText("ObjLabelLa",adx_arrow_h1,8, "Wingdings", adx_color_h1);
        ObjectSet("ObjLabelLa", OBJPROP_CORNER, 0);
        ObjectSet("ObjLabelLa", OBJPROP_XDISTANCE, 510);
        ObjectSet("ObjLabelLa", OBJPROP_YDISTANCE, 13);        

      //ADX m15 value        
      ObjectCreate("ObjLabelM", OBJ_LABEL, WindowFind("DIGIADX"), 0, 0);
        ObjectSetText("ObjLabelM","M15: "+StringSubstr(adx_m15_val,0,5),8, "Arial Bold", adx_color_m15);
        ObjectSet("ObjLabelM", OBJPROP_CORNER, 0);
        ObjectSet("ObjLabelM", OBJPROP_XDISTANCE, 535);
        ObjectSet("ObjLabelM", OBJPROP_YDISTANCE, 2);

      //arrow m15
      ObjectCreate("ObjLabelMa", OBJ_LABEL, WindowFind("DIGIADX"), 0, 0);
        ObjectSetText("ObjLabelMa",adx_arrow_m15,8, "Wingdings", adx_color_m15);
        ObjectSet("ObjLabelMa", OBJPROP_CORNER, 0);
        ObjectSet("ObjLabelMa", OBJPROP_XDISTANCE, 590);
        ObjectSet("ObjLabelMa", OBJPROP_YDISTANCE, 3);        


      //ADX h4 value
      ObjectCreate("ObjLabelN", OBJ_LABEL, WindowFind("DIGIADX"), 0, 0);
        ObjectSetText("ObjLabelN","H4   : "+StringSubstr(adx_h4_val,0,5),8, "Arial Bold", adx_color_h4);
        ObjectSet("ObjLabelN", OBJPROP_CORNER, 0);
        ObjectSet("ObjLabelN", OBJPROP_XDISTANCE, 535);
        ObjectSet("ObjLabelN", OBJPROP_YDISTANCE, 12);        
        
      //arrow h4
      ObjectCreate("ObjLabelNa", OBJ_LABEL, WindowFind("DIGIADX"), 0, 0);
        ObjectSetText("ObjLabelNa",adx_arrow_h4,8, "Wingdings", adx_color_h4);
        ObjectSet("ObjLabelNa", OBJPROP_CORNER, 0);
        ObjectSet("ObjLabelNa", OBJPROP_XDISTANCE, 590);
        ObjectSet("ObjLabelNa", OBJPROP_YDISTANCE, 13); 
    }
            
    //Show Legend
    
    
     if (Show_Legend == true) 
    {
    ObjectCreate("ObjLabelB", OBJ_LABEL, WindowFind("DIGIADX"), 0, 0);
        ObjectSetText("ObjLabelB","LEGEND",8, "Arial Bold", Silver);
        ObjectSet("ObjLabelB", OBJPROP_CORNER, 0);
        ObjectSet("ObjLabelB", OBJPROP_XDISTANCE, 615);
        ObjectSet("ObjLabelB", OBJPROP_YDISTANCE, 3);

    ObjectCreate("ObjLabelC", OBJ_LABEL, WindowFind("DIGIADX"), 0, 0);
        ObjectSetText("ObjLabelC","* STRONG UPTREND",8, "Arial Bold",Strong_Uptrend_Color );
        ObjectSet("ObjLabelC", OBJPROP_CORNER, 0);
        ObjectSet("ObjLabelC", OBJPROP_XDISTANCE, 665);
        ObjectSet("ObjLabelC", OBJPROP_YDISTANCE, 2);   
        
    ObjectCreate("ObjLabelD", OBJ_LABEL, WindowFind("DIGIADX"), 0, 0);
        ObjectSetText("ObjLabelD","* STRONG DNTREND",8, "Arial Bold", Strong_Dntrend_Color);
        ObjectSet("ObjLabelD", OBJPROP_CORNER, 0);
        ObjectSet("ObjLabelD", OBJPROP_XDISTANCE, 665);
        ObjectSet("ObjLabelD", OBJPROP_YDISTANCE, 14);       
        
    ObjectCreate("ObjLabelE", OBJ_LABEL, WindowFind("DIGIADX"), 0, 0);
        ObjectSetText("ObjLabelE","* WEAK UPTREND",8, "Arial Bold",Weak_Uptrend_Color );
        ObjectSet("ObjLabelE", OBJPROP_CORNER, 0);
        ObjectSet("ObjLabelE", OBJPROP_XDISTANCE, 825);
        ObjectSet("ObjLabelE", OBJPROP_YDISTANCE, 2);   
        
    ObjectCreate("ObjLabelF", OBJ_LABEL, WindowFind("DIGIADX"), 0, 0);
        ObjectSetText("ObjLabelF","* WEAK DNTREND",8, "Arial Bold", Weak_Dntrend_Color);
        ObjectSet("ObjLabelF", OBJPROP_CORNER, 0);
        ObjectSet("ObjLabelF", OBJPROP_XDISTANCE, 825);
        ObjectSet("ObjLabelF", OBJPROP_YDISTANCE, 12);                           
        
    }
//----
   
//----
   RefreshRates();
   return(0);
  }
//+------------------------------------------------------------------+